"use strict";
var import_Breadcrumb = require("../Breadcrumb.css");
const jsxRuntime = require("react/jsx-runtime");
const antd = require("antd");
const kit_Button = require("./Button.cjs");
const kit_Column = require("./Column.cjs");
const kit_Dropdown = require("./Dropdown.cjs");
const kit_Icon = require("./Icon.cjs");
const kit_Row = require("./Row.cjs");
const kit_Theme_UI = require("./Theme/UI.cjs");
require("./Theme/themeUtils.cjs");
require("./Theme/themes.cjs");
const base = "Breadcrumb_base_cef89";
const css = {
  base
};
const Breadcrumb = (props) => {
  const {
    themeSettings: { className: themeClass }
  } = kit_Theme_UI.useTheme();
  const classes = [css.base, themeClass];
  return /* @__PURE__ */ jsxRuntime.jsx("div", { className: classes.join(" "), children: /* @__PURE__ */ jsxRuntime.jsxs(kit_Row.Row, { children: [
    /* @__PURE__ */ jsxRuntime.jsx(kit_Column, { children: /* @__PURE__ */ jsxRuntime.jsx(antd.Breadcrumb, { separator: props.separator, children: props.children }) }),
    props.menuItems && /* @__PURE__ */ jsxRuntime.jsx(kit_Column, { align: "left", children: /* @__PURE__ */ jsxRuntime.jsx(kit_Dropdown, { menu: props.menuItems, onClick: props.onClickMenu, children: /* @__PURE__ */ jsxRuntime.jsx(
      kit_Button,
      {
        icon: /* @__PURE__ */ jsxRuntime.jsx(kit_Icon.default, { name: "arrow-down", size: "tiny", title: "Action menu" }),
        size: "small",
        type: "text"
      }
    ) }) })
  ] }) });
};
Breadcrumb.Item = antd.Breadcrumb.Item;
Breadcrumb.Separator = antd.Breadcrumb.Separator;
module.exports = Breadcrumb;
